package com.ygtx.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 部门和岗位关联 sys_dept_post
 * 
 * @author ruoyi
 */
public class SysDeptPost
{
    /** 部门ID */
    private Long deptId;
    
    /** 岗位ID */
    private Long postId;
    
    /** 是否主岗（0否 1是） */
    private String isMain;

    public Long getDeptId()
    {
        return deptId;
    }

    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getPostId()
    {
        return postId;
    }

    public void setPostId(Long postId)
    {
        this.postId = postId;
    }

    public String getIsMain()
    {
        return isMain;
    }

    public void setIsMain(String isMain)
    {
        this.isMain = isMain;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("deptId", getDeptId())
            .append("postId", getPostId())
            .append("isMain", getIsMain())
            .toString();
    }
}